package processModel;

public abstract class Property
{
	private Double value;
	private String unit;
	private boolean isCalculated;
	private int id;
	
	public Property()
	{
		value = null;
		unit = "";
		isCalculated = false;
	}
	
	public void setValue(double value)
	{
		this.value = value;
	}
	
	public void setUnit(String unit)
	{
		this.unit = unit;
	}
	
	public void setCalculated()
	{
		this.isCalculated = true;
	}
	
	public void setUnknown()
	{
		value = null;
	}
	
	public double getValue()
	{
		return value;
	}
	
	public String getUnit()
	{
		return unit;
	}
	
	public boolean isCalculated()
	{
		return isCalculated;
	}
	
	public boolean isUnknown()
	{
		return value == null;
	}
	
	public int getID()
	{
		return id;
	}
	
	public abstract String toAspireXML();
	public abstract String getName();
}
