package processView;

import java.awt.Color;
import java.awt.Frame;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JPanel;

import processModel.Process;

public abstract class PictureMenu extends JDialog 
{
	protected Frame parent;
	protected String title;
	protected Process process = null;
	protected ProcessApplet owner;
	protected JButton btnOK;
	
	protected PictureMenu(ProcessApplet owner, Frame parent, String title, Process process) {
		super(parent, title, true);
		this.parent = parent;
		this.title = title;
		this.process = process;
		this.owner = owner;
		this.getContentPane().setLayout(new BoxLayout(this.getContentPane(), BoxLayout.Y_AXIS));
		this.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		this.setLocationRelativeTo(owner);
	}
	
	protected JPanel createIndividualEntryPanel(JComponent imageComponent)
	{
		JPanel pnlCurrentEquation = new JPanel();
		pnlCurrentEquation.setLayout(new BoxLayout (pnlCurrentEquation, BoxLayout.Y_AXIS));
		pnlCurrentEquation.setBackground(Color.WHITE);
		pnlCurrentEquation.setOpaque(true);
		pnlCurrentEquation.add(imageComponent);
		return pnlCurrentEquation;
	}
}